petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatColoringGetMaxColors

Gets the maximum number of colors

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringGetMaxColors(MatColoring mc,PetscInt *maxcolors)

Logically Collective on MatColoring

### Input Parameter

| mc | - the MatColoring context

### Output Parameter

| maxcolors | - the current maximum number of colors to produce

### See Also

MatColoringSetMaxColors(), MatColoringApply()

### Level

beginner

### Location

src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages